$notif_blue: #609afe;
$notif_green: #8cc34b;
$notif_red: #f44334;

$type-bg: rgba($black, .4);
$trans-duration: 300ms;

// .smart-icon:not(.to-card){
//   animation: spin-ninety ease-in-out .3s;
//   animation-iteration-count: 1;
//   // transform-origin: 50% 50%;
//   transform-origin: center center;
// }

@keyframes spin-ninety {
  0% {
    transform: rotate(0deg);
    }

  100% {
    transform: rotate(180deg);
  }
}

.smart-icon {
  display: block;
  height: 30px;
  margin-right: 5px;
  transform-origin: center center;
  width: 24px;

  &::after,
  &::before {
    @include transition(all ($trans-duration / 2) ease-in-out);
    border: $hamburger-thickness solid $medium-gray;
    // border: $hamburger-thickness solid $blueish-gray;
    border-radius: 3px;
    content: '';
    height: 16px;
    margin-left: -11px;
    position: absolute;
    transform: translateY(-50%);
    width: 20px;
   }

  &.to-card {
    &::after,
    &::before {
      border-radius: 2px;
      height: 8px;
      transform-origin: center center;
    }

    &::after {
      margin-top: -5px;
    }

    &::before {
      margin-top: 5px;
    }
  }
}

.smart-view {
  @include transition(all $trans-duration ease-in-out);
  align-items: flex-end;
  background-color: $white;
  display: flex;
  height: 185px;
  margin-bottom: $global-margin;
  overflow: hidden;
  padding: 3px 12px;
  position: relative;
  width: 100%;

  &::after {
    content: '';
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
  }
}

.smart-image {
  @include auto-bg-props;
  @include transition(width $trans-duration ease-in-out, height $trans-duration ease-in-out);
  height: 185px;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;

  &::after {
    @include transition(opacity $trans-duration ease-in-out);
    background: linear-gradient(to bottom, $gradient-start, $gradient-end);
    content: '';
    height: 100%;
    left: 0;
    opacity: 1;
    position: absolute;
    top: 0;
    width: 100%;
  }
}

.smart-title {
  @extend .h2-class;
  @include transition(color $trans-duration ease-in-out);
  @include line-clamp(2);
  color: $white;
  margin: 8px auto 5px;
}

.smart-view span {
  @include transition(all $trans-duration ease-in-out);
  position: relative;
  z-index: 1;

  &.gal,
  &.gallery,
  &.vid,
  &.video {
    align-items: center;
    background-color: $type-bg;
    border-radius: 100%;
    display: flex;
    height: 30px;
    left: calc(100% - 40px);
    position: absolute;
    top: 10px;
    width: 30px;

    &::before {
      @extend %fontello;
      color: $white;
      content: '';
      font-size: 14px;
      width: 30px;
    }
  }
  
  &.gal::before,
  &.gallery::before {
    content: '\e806';
  }

  &.vid::before,
  &.video::before {
    content: '\e807';
    margin-left: 5px;
  }
}

.smart-content {
  @include transition(all $trans-duration ease-in-out);
  margin: auto auto -20px 0;
  position: relative;
  z-index: 1;
}

.smart-view.smart-card {
  height: 90px;
   
  .smart-content {
    margin: auto auto auto 110px;
  }
  
  .smart-title {
    @extend .h3-class;
    color: $black;
  }

  .smart-image {
    height: 90px;
    left: 0;
    position: absolute;
    top: 0;
    width: 110px;
    
    &::after {
      opacity: 0;
    }
  }

  span {
    &.gal,
    &.gallery,
    &.vid,
    &.video {
      height: 21px;
      left: calc(5px);
      top: 5px;
      width: 21px;

      &::before {
        font-size: 10px;
        width: 21px;
      }
    }
  }
}

.smart-line-text {
  @include font-size(12);
  @include line-height(16);
  @include line-clamp(2);
  color: $dark-gray;
  margin-bottom: 3px;
}

.smart-title.single-line {
  margin-bottom: 1px;
}

.smart-button {
  border: 1px solid $medium-gray;
  border-radius: 10px;
  color: $medium-gray;
  display: block;
  height: 35px;
  float: right;
  margin: auto 0 auto 10px;
  min-width: 35px;
  padding: 3px 4px;
  
  &.following {
    color: #8bc34a;
    border-color: #8bc34a;
  }

  &.delete {
    color: #f34639;
    border-color: #f34639;
  }
}

.smart-card.smart-view-notification {
  border-left: 3px solid $white;
  .smart-content {
    justify-content: flex-start;
    margin: auto;
    margin-left: 0;
  }

  &.is-unread {
    border-left: 3px solid $notif_green;
    margin-left: 0;
  }
  
}

.notification-type {
  @extend %fontello;
  align-items: center;
  background-color: $lightest-gray;
  border-radius: 100%;
  display: block;
  display: flex; 
  height: 35px;
  justify-content: center;
  margin: auto 8px auto 0;
  min-width: 35px;

  
}




.n__red {
  color: $notif_red;
}

.n__blue {
  color: $notif_blue;
}

.n__green {
  color: $notif_green;
}

.i__comment {
  @extend .icon-commenting;
}

.i__reply {
  @extend .icon-reply-all;
}

.i__follow {
  @extend .icon-user-plus;
}

.i__like {
  @extend .icon-thumbs-up-alt;
}

